Eclipse Remote Application Platform

## org.eclipse.swt.dnd
Class TextTransfer

    java.lang.Object
      org.eclipse.swt.dnd.Transfer
          org.eclipse.swt.dnd.ByteArrayTransfer
              org.eclipse.swt.dnd.TextTransfer

    public class TextTransfer

extends ByteArrayTransfer

The class `TextTransfer` provides a platform specific mechanism for converting plain text represented as a java `String` to a platform specific representation of the data and vice versa.

An example of a java `String` containing plain text is shown below:

`

         String textData = "Hello World";

`

Note the `TextTransfer` does not change the content of the text data. For a better integration with the platform, the application should convert the line delimiters used in the text data to the standard line delimiter used by the platform.

Since:
  1.3
See Also:
  `Transfer`

Method Summary
`static TextTransfer` `getInstance()` Returns the singleton instance of the TextTransfer class.
`protected int[]` `getTypeIds()` Returns the platform specific ids of the data types that can be converted using this transfer agent.
`protected java.lang.String[]` `getTypeNames()` Returns the platform specific names of the data types that can be converted using this transfer agent.
`void` `javaToNative(java.lang.Object object, TransferData transferData)` This implementation of `javaToNative` converts plain text represented by a java `String` to a platform specific representation.
`java.lang.Object` `nativeToJava(TransferData transferData)` This implementation of `nativeToJava` converts a platform specific representation of plain text to a java `String`.
`protected boolean` `validate(java.lang.Object object)` Test that the object is of the correct format for this Transfer class.

Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer
`getSupportedTypes, isSupportedType`

Methods inherited from class org.eclipse.swt.dnd.Transfer
`registerType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TextTransfer getInstance()

  Returns the singleton instance of the TextTransfer class.

  Returns:
    the singleton instance of the TextTransfer class

### javaToNative

    public void javaToNative(java.lang.Object object,
                             TransferData transferData)

  This implementation of `javaToNative` converts plain text represented by a java `String` to a platform specific representation.

  Overrides:
    `javaToNative` in class `ByteArrayTransfer`
  Parameters:
    `object` - a java `String` containing text
    `transferData` - an empty `TransferData` object that will be filled in on return with the platform specific format of the data
  See Also:
    `Transfer.nativeToJava(org.eclipse.swt.dnd.TransferData)`

### nativeToJava

    public java.lang.Object nativeToJava(TransferData transferData)

  This implementation of `nativeToJava` converts a platform specific representation of plain text to a java `String`.

  Overrides:
    `nativeToJava` in class `ByteArrayTransfer`
  Parameters:
    `transferData` - the platform specific representation of the data to be converted
  Returns:
    a java `String` containing text if the conversion was successful; otherwise null
  See Also:
    `Transfer.javaToNative(java.lang.Object, org.eclipse.swt.dnd.TransferData)`

### getTypeIds

    protected int[] getTypeIds()

  Description copied from class: `Transfer`
  Returns the platform specific ids of the data types that can be converted using this transfer agent.

  Specified by:
    `getTypeIds` in class `Transfer`
  Returns:
    the platform specific ids of the data types that can be converted using this transfer agent

### getTypeNames

    protected java.lang.String[] getTypeNames()

  Description copied from class: `Transfer`
  Returns the platform specific names of the data types that can be converted using this transfer agent.

  Specified by:
    `getTypeNames` in class `Transfer`
  Returns:
    the platform specific names of the data types that can be converted using this transfer agent.

### validate

    protected boolean validate(java.lang.Object object)

  Description copied from class: `Transfer`
  Test that the object is of the correct format for this Transfer class.

  Overrides:
    `validate` in class `Transfer`
  Parameters:
    `object` - a java representation of the data to be converted
  Returns:
    true if object is of the correct form for this transfer type

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0